Fehlermeldung Amazon API 5

  • Hallo zusammen,


    ich habe vorgestern auf die Amazon API 5 aktualisiert, der Shop hat sich auch ganz normal verbunden. Heute habe ich mir mal die Amazon Produkte angeschaut und gesehen, dass alle folgende Fehlermeldung erhalten: Request error: Error Message: InvalidParameterValue: The ItemId B07Z9BBMH3 provided in the request is invalid. #0 /www/htdocs/p6845n/meineSeite/wp-content/plugins/affiliate-toolkit-10-04-2019/includes/shopproviders/atkp_shop_provider_amazon.php(3148): atkp_shop_provider_amazon->validate_response_v5(Object(AmazonProductAdvertisingAPIv1comamazonpaapi5v1GetItemsResponse)) #1 /www/htdocs/p6845n/meineSeite/wp-content/plugins/affiliate-toolkit-10-04-2019/includes/shopproviders/atkp_shop_provider_amazon.php(1752): atkp_shop_provider_amazon->sendGetItemsRequest(Object(AmazonProductAdvertisingAPIv1comamazonpaapi5v1GetItemsRequest)) #2 /www/htdocs/p6845n/meineSeite/wp-content/plugins/affiliate-toolkit-10-04-2019/includes/shopproviders/atkp_shop_provider_amazon.php(1513): atkp_shop_provider_amazon->retrieve_products_v5(Array, 'ASIN') Die Fehlermeldung geht immer so weiter.


    Ich sollte bei Amazon auch keine Limitierung haben, da ich regelmäßig Umsätze erziele. Liegt es dennoch an der Amazon Api?


    Hab jetzt gezwungenermaßen auf die API v4 umgestellt, damit scheint wieder alles zu funktionieren. Auch der Produktimport klappt mit der v4. Habe ich vielleicht bei den Einstellungen irgendwas nicht beachtet?



    Würde mich über Hilfe freuen und bedanke mich im Voraus.


    Schönen Gruß, Steven

  • Hallo Steven,

    also der Fehler "The ItemId B07Z9BBMH3 provided in the request is invalid." sagt eigentlich das die ASIN ungültig ist (z.b. von Amazon geändert worden).

    In deinem Fall scheint sie zu stimmen, was ich jetzt ein wenig Merkwürdig finde.


    Wenn du auf v4 umstellst, sollte der Fehler weiterhin kommen. Mit deiner Limitierung hat das nichts zu tun.


    lg Christof

  • Hallo Christof,


    vielen Dank für deine Rückmeldung. Ich lasse mal weiterhin die v4 aktiv, vielleicht macht da die neue API einfach nur Probleme. Seit der Umstellung auf V4 ist die Anzahl an Fehlermeldungen wieder auf einem normalen Level und solch eine lange Fehlermeldung ist da nicht mehr vorzufinden. Die Fehlermeldungen, die angezeigt werden, scheinen auch zu stimmen, also von der Seite aus passt das alles mit der V4. Ich hoffe das sich das ganze irgendwie von selbst fixt, werde v5 mit der Zeit einfach ab und zu mal testen.


    Vielen Dank an dieser Stelle, schönen Gruß, Steven